Name:           prelude-lml-rules
Version:        5.2.0
Release:    1%{?dist}
Summary:        Prelude LML community ruleset
License:        GPLv2+
URL:            https://www.prelude-siem.org/
Source0:        https://www.prelude-siem.org/pkg/src/%{version}/%{name}-%{version}.tar.gz
Requires:       prelude-lml

%description
Rules for Prelude LML contributed by the community.

%prep
%setup -q

%install
mkdir -p %{buildroot}%{_bindir}
install -m 0755 src/%{name}-check %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_sysconfdir}/prelude-lml/ruleset
cp -pr ruleset/* %{buildroot}%{_sysconfdir}/prelude-lml/ruleset/

sed -i 's|#!/usr/bin/env perl|#!/usr/bin/perl|' %{buildroot}%{_bindir}/%{name}-check

%build

%check
test -z "`%{buildroot}%{_bindir}/%{name}-check %{buildroot}%{_sysconfdir}/prelude-lml/ruleset/*.rules 2>&1 | grep WARNING`"

%files
%license COPYING
%doc NEWS README AUTHORS
%{_bindir}/%{name}-check
%dir %{_sysconfdir}/prelude-lml/ruleset
%dir %{_sysconfdir}/prelude-lml/ruleset/unsupported
%config(noreplace) %{_sysconfdir}/prelude-lml/ruleset/*.rules
%config(noreplace) %{_sysconfdir}/prelude-lml/ruleset/unsupported/*.rules


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-1
- initial build
